# Interface ServerWatcher

All Superinterfaces:
  `Watcher`

All Known Implementing Classes:
  `ControllableConnection, DumbWatcher, NettyServerCnxn, NIOServerCnxn, ServerCnxn`

public interface ServerWatcher extends Watcher

## Nested Class Summary

### Nested classes/interfaces inherited from interface Watcher

`Watcher.Event, Watcher.WatcherType`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(WatchedEvent event, List<ACL> znodeAcl)`

### Methods inherited from interface Watcher

`process`

## Method Details

### process

void process(WatchedEvent event, List<ACL> znodeAcl)